/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 09:42:18.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.coursestatistic;

import java.io.Serializable;

/**
 * 课程的统计信息
 *
 * @author: fengdesheng
 * @since: 2018/11/01
 */
public class CourseStatisticInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 学校机构ID
     */
    private Long orgId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 课程ID
     */
    private Long courseId;
    /**
     * 课程代码
     */
    private String courseCode;
    /**
     * 课程名称
     */
    private String courseName;
    /**
     * 试卷ID
     */
    private Long paperId;
    /**
     * 试卷名称
     */
    private String paperName;
    /**
     * 试卷类型
     */
    private String paperType;
    /**
     * 试卷状态
     */
    private String paperStatus;
    /**
     * 试卷文件URL
     */
    private String paperFileUrl;
    /**
     * 答案文件URL
     */
    private String answerFileUrl;
    /**
     * 试卷P数
     */
    private Integer totalP;
    /**
     * 考生人数
     */
    private Integer totalStudent;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getPaperStatus() {
        return paperStatus;
    }

    public void setPaperStatus(String paperStatus) {
        this.paperStatus = paperStatus;
    }

    public String getPaperFileUrl() {
        return paperFileUrl;
    }

    public void setPaperFileUrl(String paperFileUrl) {
        this.paperFileUrl = paperFileUrl;
    }

    public String getAnswerFileUrl() {
        return answerFileUrl;
    }

    public void setAnswerFileUrl(String answerFileUrl) {
        this.answerFileUrl = answerFileUrl;
    }

    public Integer getTotalP() {
        return totalP != null ? totalP : 0;
    }

    public void setTotalP(Integer totalP) {
        this.totalP = totalP;
    }

    public Integer getTotalStudent() {
        return totalStudent != null ? totalStudent : 0;
    }

    public void setTotalStudent(Integer totalStudent) {
        this.totalStudent = totalStudent;
    }

}