/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 10:03:07.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.test;

import cn.com.qmth.examcloud.core.print.PrintApplication;
import cn.com.qmth.examcloud.core.print.service.CourseStatisticService;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticQuery;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @author: fengdesheng
 * @since: 2018/10/17
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = PrintApplication.class)
public class CourseStatisticServiceTest {
    @Autowired
    private CourseStatisticService courseStatisticService;

    @Test
    public void getCourseStatisticListTest() throws Exception {
        CourseStatisticQuery query = new CourseStatisticQuery();
        query.setOrgId(1L);
        query.setExamId(1L);
        courseStatisticService.getCourseStatisticList(query);
    }

    @Test
    public void initCourseStatisticsTest() throws Exception {
        courseStatisticService.initCourseStatistics();
    }

}